Device does not support Password Expiration
Posted by on 01 September 2011 01:17 PM

Several Samsung devices do not support the Password Expiration setting when it is enabled on the server or may not function as expected.  The device allows the use of a password beyond its expiration date and does not prompt for a password change. 
B2891/1244/6215

This is an issue with the device and has been observed on:

-Samsung Charge, Galaxy Ace 3, Galaxy Captivate, Galaxy S, Galaxy Tab, Galaxy S II Skyrocket, Galaxy S II LTE, Galaxy S III mini, and Stratosphere,
-LG P500, Infuse, and Spectrum
-Pantech Breakout
-Huawei 858 Smart
-Motorola Droid 4 and Photon Q
-Fujitsu F-12C Globetrotter

On HTC Wildfire S, enabling this causes the device to stop synchronizing. 

On the HTC ChaCha and Wildfire S, the Motorola Droid 3, and the Samsung Galaxy Tab, Galaxy Tab 10.1, and Infuse, the password expiration change prompt will appear at an attempt to log in after an inactivity timeout or after the device has been powered on.